Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #650 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

[PATCH] visit.py is not compatible with python 2.3

Reported by: roger.demetrescu Owned by: anonymous
Priority: normal Milestone: 0.9
Component: Identity Version:
Severity: normal Keywords:
Cc: jeff

Description

visit.py uses @property and @classmethod function decorator notations, which are not compatible with python 2.3.

Important: I don't use python 2.3; I've just noticed these decorators while studying TG source code.

Attachments

visit.patch Download (858 bytes) - added by roger.demetrescu 13 years ago.

Change History

Changed 13 years ago by roger.demetrescu

comment:1 Changed 13 years ago by simon

  • Cc jeff added
  • Component changed from TurboGears to Identity

comment:2 Changed 13 years ago by Jeff Watkins

  • Status changed from new to closed
  • Resolution set to fixed

Good catch. Fixed in r898.

Note: See TracTickets for help on using tickets.